Update Workflow
curl --request PUT \
--url https://api.neuralfactory.ai/workflows/{workflow_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"visibility": "<string>",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"expected_revision": 123,
"expected_edit_seq": 123
}
'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}"
payload = {
"name": "<string>",
"description": "<string>",
"steps": [{}],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [{}],
"visibility": "<string>",
"allowed_groups": ["<string>"],
"allowed_user_ids": ["<string>"],
"expected_revision": 123,
"expected_edit_seq": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
steps: [{}],
input_schema: {},
output_schema: {},
error_handling: {},
metadata: {},
toolkits: [{}],
visibility: '<string>',
allowed_groups: ['<string>'],
allowed_user_ids: ['<string>'],
expected_revision: 123,
expected_edit_seq: 123
})
};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'steps' => [
[
]
],
'input_schema' => [
],
'output_schema' => [
],
'error_handling' => [
],
'metadata' => [
],
'toolkits' => [
[
]
],
'visibility' => '<string>',
'allowed_groups' => [
'<string>'
],
'allowed_user_ids' => [
'<string>'
],
'expected_revision' => 123,
'expected_edit_seq' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"steps\": [\n {}\n ],\n \"input_schema\": {},\n \"output_schema\": {},\n \"error_handling\": {},\n \"metadata\": {},\n \"toolkits\": [\n {}\n ],\n \"visibility\": \"<string>\",\n \"allowed_groups\": [\n \"<string>\"\n ],\n \"allowed_user_ids\": [\n \"<string>\"\n ],\n \"expected_revision\": 123,\n \"expected_edit_seq\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.neuralfactory.ai/workflows/{workflow_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"steps\": [\n {}\n ],\n \"input_schema\": {},\n \"output_schema\": {},\n \"error_handling\": {},\n \"metadata\": {},\n \"toolkits\": [\n {}\n ],\n \"visibility\": \"<string>\",\n \"allowed_groups\": [\n \"<string>\"\n ],\n \"allowed_user_ids\": [\n \"<string>\"\n ],\n \"expected_revision\": 123,\n \"expected_edit_seq\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"steps\": [\n {}\n ],\n \"input_schema\": {},\n \"output_schema\": {},\n \"error_handling\": {},\n \"metadata\": {},\n \"toolkits\": [\n {}\n ],\n \"visibility\": \"<string>\",\n \"allowed_groups\": [\n \"<string>\"\n ],\n \"allowed_user_ids\": [\n \"<string>\"\n ],\n \"expected_revision\": 123,\n \"expected_edit_seq\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "",
"version": "1.0.0",
"status": "active",
"step_count": 0,
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"created_by": "<string>",
"created_by_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "private",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"revision": 1,
"edit_seq": 0,
"published_revision": 123,
"from_use_case": {
"id": "<string>",
"version": 123
},
"governance_warnings": [
"<string>"
],
"last_run": {
"status": "<string>",
"completed_at": "<string>"
},
"run_count": 0,
"pending_approvals": 0,
"last_run_execution_id": "<string>",
"recent_statuses": [
"<string>"
],
"cost_30d": 123,
"tags": [
"<string>"
],
"is_favourite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Update Workflow
API key permission: Agents (Admin also opens it).
PUT
/
workflows
/
{workflow_id}
Update Workflow
curl --request PUT \
--url https://api.neuralfactory.ai/workflows/{workflow_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"visibility": "<string>",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"expected_revision": 123,
"expected_edit_seq": 123
}
'import requests
url = "https://api.neuralfactory.ai/workflows/{workflow_id}"
payload = {
"name": "<string>",
"description": "<string>",
"steps": [{}],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [{}],
"visibility": "<string>",
"allowed_groups": ["<string>"],
"allowed_user_ids": ["<string>"],
"expected_revision": 123,
"expected_edit_seq": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
steps: [{}],
input_schema: {},
output_schema: {},
error_handling: {},
metadata: {},
toolkits: [{}],
visibility: '<string>',
allowed_groups: ['<string>'],
allowed_user_ids: ['<string>'],
expected_revision: 123,
expected_edit_seq: 123
})
};
fetch('https://api.neuralfactory.ai/workflows/{workflow_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.neuralfactory.ai/workflows/{workflow_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'description' => '<string>',
'steps' => [
[
]
],
'input_schema' => [
],
'output_schema' => [
],
'error_handling' => [
],
'metadata' => [
],
'toolkits' => [
[
]
],
'visibility' => '<string>',
'allowed_groups' => [
'<string>'
],
'allowed_user_ids' => [
'<string>'
],
'expected_revision' => 123,
'expected_edit_seq' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.neuralfactory.ai/workflows/{workflow_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"steps\": [\n {}\n ],\n \"input_schema\": {},\n \"output_schema\": {},\n \"error_handling\": {},\n \"metadata\": {},\n \"toolkits\": [\n {}\n ],\n \"visibility\": \"<string>\",\n \"allowed_groups\": [\n \"<string>\"\n ],\n \"allowed_user_ids\": [\n \"<string>\"\n ],\n \"expected_revision\": 123,\n \"expected_edit_seq\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.neuralfactory.ai/workflows/{workflow_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"steps\": [\n {}\n ],\n \"input_schema\": {},\n \"output_schema\": {},\n \"error_handling\": {},\n \"metadata\": {},\n \"toolkits\": [\n {}\n ],\n \"visibility\": \"<string>\",\n \"allowed_groups\": [\n \"<string>\"\n ],\n \"allowed_user_ids\": [\n \"<string>\"\n ],\n \"expected_revision\": 123,\n \"expected_edit_seq\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.neuralfactory.ai/workflows/{workflow_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"steps\": [\n {}\n ],\n \"input_schema\": {},\n \"output_schema\": {},\n \"error_handling\": {},\n \"metadata\": {},\n \"toolkits\": [\n {}\n ],\n \"visibility\": \"<string>\",\n \"allowed_groups\": [\n \"<string>\"\n ],\n \"allowed_user_ids\": [\n \"<string>\"\n ],\n \"expected_revision\": 123,\n \"expected_edit_seq\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"description": "",
"version": "1.0.0",
"status": "active",
"step_count": 0,
"steps": [
{}
],
"input_schema": {},
"output_schema": {},
"error_handling": {},
"metadata": {},
"toolkits": [
{}
],
"created_by": "<string>",
"created_by_email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"visibility": "private",
"allowed_groups": [
"<string>"
],
"allowed_user_ids": [
"<string>"
],
"revision": 1,
"edit_seq": 0,
"published_revision": 123,
"from_use_case": {
"id": "<string>",
"version": 123
},
"governance_warnings": [
"<string>"
],
"last_run": {
"status": "<string>",
"completed_at": "<string>"
},
"run_count": 0,
"pending_approvals": 0,
"last_run_execution_id": "<string>",
"recent_statuses": [
"<string>"
],
"cost_30d": 123,
"tags": [
"<string>"
],
"is_favourite": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Query Parameters
Body
application/json
Response
Successful Response